<?php

namespace ThurData\Servers\KerioEmail\App\UI\Admin\ProductConfiguration\Pages\Sections;


use ThurData\Servers\KerioEmail\App\UI\Admin\Custom\Sections\BoxSectionExtended;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\AdminArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Switcher;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Sections\BoxSection;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Sections\HalfPageSection;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 29.08.19
 * Time: 08:34
 * Class ContactFeatures
 */
class ContactFeatures extends BoxSectionExtended implements AdminArea
{
    protected $id       = 'contactFeatures';
    protected $name     = 'contactFeatures';
    protected $title    = 'contactFeatures';

    public function initContent()
    {
        $this
            ->addSection($this->getLeftSection())
        ;

    }
    public function getLeftSection()
    {
        $leftSection = new HalfPageSection('left');

        $field = new Switcher('kerioFeatureDistributionListFolderEnabled');
        $leftSection->addField($field);

        return $leftSection;
    }


}